Package com.collibra.dgc.core.api.dto.quality

# Class ChangeDataQualityRuleRequest

Object
ChangeDataQualityRuleRequest

All Implemented Interfaces:
  `Serializable`

@Deprecated public class ChangeDataQualityRuleRequest extends Object implements Serializable
Deprecated.
This class will be removed in the future. This feature is being dropped, so no replacement will be available.
The properties of the data quality rule to be changed.

The field left null will not be updated. For the collections all the current values will be removed and replaced by the new ones.

Note: mandatory dataQualityMetrics are always there, they are added automatically and it's impossible to remove them.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ChangeDataQualityRuleRequest.Builder`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeDataQualityRuleRequest()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeDataQualityRuleRequest.Builder`
  `builder()`
  Deprecated.
  `protected boolean`
  `canEqual(Object other)`
  Deprecated.
  `boolean`
  `equals(Object o)`
  Deprecated.
  `UUID`
  `getCategorizationRelationTypeId()`
  Deprecated.
  The ID of the categorization relation type.
  `List<DataQualityMetricRequest>`
  `getDataQualityMetrics()`
  Deprecated.
  The list of data quality metrics.
  `String`
  `getDescription()`
  Deprecated.
  The new description for the data quality rule.
  `UUID`
  `getId()`
  Deprecated.
  Required. The ID of the data quality rule to be changed.
  `String`
  `getName()`
  Deprecated.
  The new name for the data quality rule.
  `List<RelationTraceEntryRequest>`
  `getRelationTraceEntries()`
  Deprecated.
  The list of relation trace entries that describes relations along which the data quality result is calculated.
  `int`
  `hashCode()`
  Deprecated.
  `boolean`
  `isProfilingEnabled()`
  Deprecated.
  Indicates whether profiling statistics should be enabled for this rule.
  `void`
  `setCategorizationRelationTypeId(UUID categorizationRelationTypeId)`
  Deprecated.
  The ID of the categorization relation type.
  `void`
  `setDataQualityMetrics(List<DataQualityMetricRequest> dataQualityMetrics)`
  Deprecated.
  The list of data quality metrics.
  `void`
  `setDescription(String description)`
  Deprecated.
  The new description for the data quality rule.
  `void`
  `setId(UUID id)`
  Deprecated.
  Required. The ID of the data quality rule to be changed.
  `void`
  `setName(String name)`
  Deprecated.
  The new name for the data quality rule.
  `void`
  `setProfilingEnabled(boolean profilingEnabled)`
  Deprecated.
  Indicates whether profiling statistics should be enabled for this rule.
  `void`
  `setRelationTraceEntries(List<RelationTraceEntryRequest> relationTraceEntries)`
  Deprecated.
  The list of relation trace entries that describes relations along which the data quality result is calculated.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeDataQualityRuleRequest

    public ChangeDataQualityRuleRequest()
    Deprecated.

- ## Method Details

  - ### builder

    public static ChangeDataQualityRuleRequest.Builder builder()
    Deprecated.

  - ### getId

    public UUID getId()
    Deprecated.
    Required. The ID of the data quality rule to be changed. Silently ignored if the ID is provided as path parameter of the request.

  - ### getName

    public String getName()
    Deprecated.
    The new name for the data quality rule.

  - ### getDescription

    public String getDescription()
    Deprecated.
    The new description for the data quality rule.

  - ### isProfilingEnabled

    public boolean isProfilingEnabled()
    Deprecated.
    Indicates whether profiling statistics should be enabled for this rule.

  - ### getCategorizationRelationTypeId

    public UUID getCategorizationRelationTypeId()
    Deprecated.
    The ID of the categorization relation type.

  - ### getDataQualityMetrics

    public List<DataQualityMetricRequest> getDataQualityMetrics()
    Deprecated.
    The list of data quality metrics.

  - ### getRelationTraceEntries

    public List<RelationTraceEntryRequest> getRelationTraceEntries()
    Deprecated.
    The list of relation trace entries that describes relations along which the data quality result is calculated.

  - ### setId

    public void setId(UUID id)
    Deprecated.
    Required. The ID of the data quality rule to be changed. Silently ignored if the ID is provided as path parameter of the request.

  - ### setName

    public void setName(String name)
    Deprecated.
    The new name for the data quality rule.

  - ### setDescription

    public void setDescription(String description)
    Deprecated.
    The new description for the data quality rule.

  - ### setProfilingEnabled

    public void setProfilingEnabled(boolean profilingEnabled)
    Deprecated.
    Indicates whether profiling statistics should be enabled for this rule.

  - ### setCategorizationRelationTypeId

    public void setCategorizationRelationTypeId(UUID categorizationRelationTypeId)
    Deprecated.
    The ID of the categorization relation type.

  - ### setDataQualityMetrics

    public void setDataQualityMetrics(List<DataQualityMetricRequest> dataQualityMetrics)
    Deprecated.
    The list of data quality metrics.

  - ### setRelationTraceEntries

    public void setRelationTraceEntries(List<RelationTraceEntryRequest> relationTraceEntries)
    Deprecated.
    The list of relation trace entries that describes relations along which the data quality result is calculated.

  - ### equals

    public boolean equals(Object o)
    Deprecated.
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)
    Deprecated.

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`